Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class MemberSelection

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.AWObject
                  |
                  +--oracle.AWXML.MemberSelection

Direct Known Subclasses:
  Level

public class MemberSelection
extends AWObject

An `AWObject` that defines a set of dimension members within the owning `Dimension`.

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`MemberSelection(BaseObject input)` Creates a new `MemberSelection` for the specified `Dimension`.

Method Summary
`java.lang.String` | `WriteToXML()` Returns the `MemberSelection` object as an XML string.

Methods inherited from class oracle.AWXML.AWObject
`addAttribute, addAttributeProjection, addSourceCubeMapGroup, addSourceDimensionMapGroup, addSourceMappingGroup, createAttribute, createAttributeProjection, createSourceCubeMapGroup, createSourceDimensionMapGroup, getAttributes, getSourceMapGroup, removeAttribute, removeAttributeProjection, removeAttributeProjection, removeSourceMappingGroup`

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberSelection

    public MemberSelection(BaseObject input)

  Creates a new `MemberSelection` for the specified `Dimension`.

  Note: The object factories are a recommended way of creating objects. For example, use the `createMemberSelection` method on a `Dimension` object.

  Parameters:
    `input` - The `Dimension` that owns the new `MemberSelection`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Returns the `MemberSelection` object as an XML string.
  Overrides:
    WriteToXML in class AWObject
  Returns:
    A `String` containing the XML that represents the `MemberSelection`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.